librime: rime::ShadowCandidate Class Reference

| librime 1.2 Rime Input Method Engine, the core library

Public Member Functions | Protected Attributes | List of all members
rime::ShadowCandidate Class Reference

`#include <candidate.h>`

Inheritance diagram for rime::ShadowCandidate:
[legend]
Collaboration diagram for rime::ShadowCandidate:
[legend]

## Public Member Functions
| ShadowCandidate (const an< Candidate > &item, const string &type, const string &text=string(), const string &comment=string(), const bool inherit_comment=true)
const string & | text () const
string | comment () const
string | preedit () const
const an< Candidate > & | item () const
Public Member Functions inherited from rime::Candidate
| Candidate ()=default
| Candidate (const string &type, size_t start, size_t end, double quality=0.)
virtual | ~Candidate ()=default
int | compare (const Candidate &other)
const string & | type () const
size_t | start () const
size_t | end () const
double | quality () const
void | set_type (const string &type)
void | set_start (size_t start)
void | set_end (size_t end)
void | set_quality (double quality)

## Protected Attributes
string | text_
string | comment_
an< Candidate > | item_
bool | inherit_comment_

## Additional Inherited Members
Static Public Member Functions inherited from rime::Candidate
static an< Candidate > | GetGenuineCandidate (const an< Candidate > &cand)
static vector< of< Candidate > > | GetGenuineCandidates (const an< Candidate > &cand)

## Constructor & Destructor Documentation

## ◆ ShadowCandidate()

rime::ShadowCandidate::ShadowCandidate | ( | const an< Candidate > & | item,
|  | const string & | type,
|  | const string & | text = string(),
|  | const string & | comment = string(),
|  | const bool | inherit_comment = true )
| inline

## Member Function Documentation

## ◆ comment()

string rime::ShadowCandidate::comment | ( |  | ) | const
| inlinevirtual

Reimplemented from rime::Candidate.

## ◆ item()

const an< Candidate > & rime::ShadowCandidate::item | ( |  | ) | const
| inline

## ◆ preedit()

string rime::ShadowCandidate::preedit | ( |  | ) | const
| inlinevirtual

Reimplemented from rime::Candidate.

## ◆ text()

const string & rime::ShadowCandidate::text | ( |  | ) | const
| inlinevirtual

Implements rime::Candidate.

## Member Data Documentation

## ◆ comment_

string rime::ShadowCandidate::comment_
| protected

## ◆ inherit_comment_

bool rime::ShadowCandidate::inherit_comment_
| protected

## ◆ item_

an<Candidate> rime::ShadowCandidate::item_
| protected

## ◆ text_

string rime::ShadowCandidate::text_
| protected

The documentation for this class was generated from the following file:

- candidate.h